# Async Agent

> A javascript library of async functions
>
> [![npm][npm]][npm-url]
[![build][build]][build-url]
[![coverage][coverage]][coverage-url]
[![deps][deps]][deps-url]
[![size][size]][size-url]
[![vulnerabilities][vulnerabilities]][vulnerabilities-url]
[![license][license]][license-url]


<br><a name="Installation"></a>

### Installation
```
npm install async-agent
```
_Requires Babel 7.2+_

<br><a name="Docs"></a>

### Docs
- Function
  - [defer](docs/defer.md)
  - [delay](docs/delay.md)
  - [clear](docs/clear.md)
  - [wait](docs/wait.md)
  - [debounce](docs/debounce.md)
  - [throttle](docs/throttle.md)
- Iteration
  - [forRange](docs/forRange.md)
- Higher-order
  - [waitBy](docs/waitBy.md)
  - [rejectAfterBy](docs/rejectAfterBy.md)
  - [rejectAfterWith](docs/rejectAfterWith.md)
  - [rejectBy](docs/rejectBy.md)
  - [rejectWith](docs/rejectWith.md)
  - [resolveAfterBy](docs/resolveAfterBy.md)
  - [resolveAfterWith](docs/resolveAfterWith.md)
  - [resolveBy](docs/resolveBy.md)
  - [resolveWith](docs/resolveWith.md)

[npm]: https://img.shields.io/npm/v/async-agent.svg
[npm-url]: https://npmjs.com/package/async-agent
[build]: https://travis-ci.org/DarrenPaulWright/async-agent.svg?branch&#x3D;master
[build-url]: https://travis-ci.org/DarrenPaulWright/async-agent
[coverage]: https://coveralls.io/repos/github/DarrenPaulWright/async-agent/badge.svg?branch&#x3D;master
[coverage-url]: https://coveralls.io/github/DarrenPaulWright/async-agent?branch&#x3D;master
[deps]: https://david-dm.org/darrenpaulwright/async-agent.svg
[deps-url]: https://david-dm.org/darrenpaulwright/async-agent
[size]: https://packagephobia.now.sh/badge?p&#x3D;async-agent
[size-url]: https://packagephobia.now.sh/result?p&#x3D;async-agent
[vulnerabilities]: https://snyk.io/test/github/DarrenPaulWright/async-agent/badge.svg?targetFile&#x3D;package.json
[vulnerabilities-url]: https://snyk.io/test/github/DarrenPaulWright/async-agent?targetFile&#x3D;package.json
[license]: https://img.shields.io/github/license/DarrenPaulWright/async-agent.svg
[license-url]: https://npmjs.com/package/async-agent/LICENSE.md
